Quoting Ben Finney (2018-03-07 02:51:55)
> On 07-Mar-2018, Jonas Smedegaard wrote:
> > Quoting Ben Finney (2018-03-07 01:04:19)
> > > $ cat ./source/foo.js
> > > "use strict";
> > > import 'backbone';
> > > 
> > > So the Debian package dependencies are all satisfied, but these are
> > > not sufficient for Webpack to resolve the Backbone dependencies.
> > 
> > Backbone by design avoids dependency on jQuery.
> 
> And yet, a very simple application that *only* requests ‘backbone’
> will fail to build with Webpack because Backbone tries to find jQuery.
> 
> In other words: The expectation is that installing Debian packages
> ‘webpack’ ands ‘node-backbone’ should allow the above application to
> build with Webpack.
> 
> So, something is wrong with the Debian Backbone, or the Debian
> Webpack, or something else.

I slept on it, and realized this morning¹ that you are right: This is a 
bug in Debian packaging of Backbone: It should recommend node-jquery.

Similarly it should recommend node-underscore | node-lodash.

I will make that happen. Thanks!


 - Jonas


¹ ...before reading your reply above, but that helps too: Your emails 
are in general easy to comprehend and quite often enlightening. Thanks!

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private

Attachment: signature.asc
Description: signature

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to